Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreContentManager

    java.lang.Object
      oracle.ifs.fdk.impl.ContentManagerImpl
          oracle.ifs.fdk.core.CoreContentManager

All Implemented Interfaces:
  java.rmi.Remote, ContentManager

    public class CoreContentManager

extends ContentManagerImpl

Implementation of the ContentManager interface.

See Also:
  `ContentManager`

Constructor Summary
`CoreContentManager()` Constructor required for web services.
`CoreContentManager(FdkSession session)` Constructor required for in-process clients.

Method Summary
`void` | `calculateConsumedQuota(long id)` Initiate the calculation of consumed quota
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`Item` | `getDefaultMedia(AttributeRequest[] attributes)` Return the default media defined in the system.
`java.lang.String` | `getDefaultStorageGroup()` Return the default storage group name.
`Item` | `getMediaByName(java.lang.String name, AttributeRequest[] attributes)` Get media by name.
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`Item[]` | `listMedias(AttributeRequest[] attributes)` List all media items defined in the system.
`java.lang.String[]` | `listStorageGroups()` List all storage group names defined in the system.
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.
`Item` | `requestQuotaUpdate(long id, NamedValue[] wfParams, NamedValue[] attrs, AttributeRequest[] attributes)` Request an update to the existing quota on a workspace for non-admin user.
`void` | `updateQuota(long id, NamedValue[] attrs)` Updates an existing quota.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreContentManager

    public CoreContentManager()

  Constructor required for web services.

### CoreContentManager

    public CoreContentManager(FdkSession session)

  Constructor required for in-process clients.

  Parameters:
    `session` - session context

Method Detail

### listMedias

    public Item[] listMedias(AttributeRequest[] attributes)
                      throws FdkException

  Description copied from class: `CoreContentManager`
  List all media items defined in the system.

  Parameters:
    `attributes` - Requested attributes of the medias.
  Returns:
    All media items defined in the system. The items have an `ItemTypes.MEDIA` type.
  Throws:
    `FdkException` - if the opertaion fails.

### getDefaultMedia

    public Item getDefaultMedia(AttributeRequest[] attributes)
                         throws FdkException

  Description copied from class: `CoreContentManager`
  Return the default media defined in the system.

  Parameters:
    `attributes` - Requested attributes of the media.
  Returns:
    The default media. The item type is `ItemTypes.MEDIA`.
  Throws:
    `FdkException` - if the opertaion fails.

### getMediaByName

    public Item getMediaByName(java.lang.String name,
                               AttributeRequest[] attributes)
                        throws FdkException

  Description copied from class: `CoreContentManager`
  Get media by name.

  Parameters:
    `name` - The name of the media to retrieve.
    `attributes` - Requested attributes of the media.
  Returns:
    The media. The item type is `ItemTypes.MEDIA`.
  Throws:
    `FdkException` - if the opertaion fails.

### listStorageGroups

    public java.lang.String[] listStorageGroups()
                                         throws FdkException

  Description copied from class: `CoreContentManager`
  List all storage group names defined in the system.

  Returns:
    All storage group names.
  Throws:
    `FdkException` - if the operation fails.

### getDefaultStorageGroup

    public java.lang.String getDefaultStorageGroup()
                                            throws FdkException

  Description copied from class: `CoreContentManager`
  Return the default storage group name.

  Returns:
    The default storage group name. It can be `null` if a default is not defined.
  Throws:
    `FdkException` - if the operation fails.

### updateQuota

    public void updateQuota(long id,
                            NamedValue[] attrs)
                     throws FdkException

  Description copied from class: `CoreContentManager`
  Updates an existing quota. The user must have quota administration access.

  Parameters:
    `id` - The id of the target to set the quota for; must be the id of a Workspace or Domain.
    `attrs` - The attributes to set . must include one or more of the following Attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.QUOTA_ALLOCATED, Long}
    - {Options.QUOTA_INCREMENT, Long}
    - {Attributes.DEFAULT_QUOTA_ALLOCATION, Long}
  Throws:
    `FdkException` - if the operation fails.

### calculateConsumedQuota

    public void calculateConsumedQuota(long id)
                                throws FdkException

  Description copied from class: `CoreContentManager`
  Initiate the calculation of consumed quota

  Parameters:
    `id` - The id of the target to calculate the quota for; must be the id of a Workspace or Domain.
  Throws:
    `FdkException` - if the operation fails.

### requestQuotaUpdate

    public Item requestQuotaUpdate(long id,
                                   NamedValue[] wfParams,
                                   NamedValue[] attrs,
                                   AttributeRequest[] attributes)
                            throws FdkException

  Description copied from class: `CoreContentManager`
  Request an update to the existing quota on a workspace for non-admin user.

  Parameters:
    `id` - The id of the workspace to set the quota for.
    `wfParams` - The parameters (name/value) needed to start workflow.
    `attrs` - The attributes to set . must include following Attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.QUOTA_ALLOCATED, Long}
    - {Options.QUOTA_INCREMENT, Long}
    `attributes` - The requested attributes
  Returns:
    a request if the operation was workflow enabled; otherwise null.
  Throws:
    `FdkException` - if the operation fails.

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD